Subject: bug#50067: Context menus

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Aug 2021 21:11:16 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 18 Aug 2021 20:01:17 +0200
> Cc: Juri Linkov <[email-masked]>, [email-masked],
>         [email-masked], [email-masked], [email-masked],
>         [email-masked]
> 
> 18 aug. 2021 kl. 19.46 skrev Eli Zaretskii <[email-masked]>:
> 
> > I don't really understand the original complaint: we have similar
> > captions on the menu shown by C-mouse-3 in the default configuration:
> > do macOS users want those to be removed as well?
> 
> We definitely do but few people use that (rather useless) menu so its appearance doesn't matter much.

OK, so I guess this change should be done only on macOS (but not on
TTY frames displayed on macOS).

> I'm probably wrong, but Windows context menus haven't titles either as I remember it and they would look quite out of place on that platform as well.

Well, C-mouse-3 shows the caption of a menu on MS-Windows, so I see no
problem with showing "Context menu" there (or any other string, if we
find a better one, actually).  That serves as a small description of
what this menu is about.